Package org.drinkless.tdlib

# Class TdApi.InputCredentialsSaved

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputCredentials
org.drinkless.tdlib.TdApi.InputCredentialsSaved

Enclosing class:
  TdApi

public static class TdApi.InputCredentialsSaved extends TdApi.InputCredentials
Applies if a user chooses some previously saved payment credentials. To use their previously saved credentials, the user must have a valid temporary password.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputCredentials

  `TdApi.InputCredentials.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `savedCredentialsId`
  Identifier of the saved credentials.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputCredentialsSaved()`
  Applies if a user chooses some previously saved payment credentials.
  `InputCredentialsSaved(String savedCredentialsId)`
  Applies if a user chooses some previously saved payment credentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### savedCredentialsId

    public String savedCredentialsId
    Identifier of the saved credentials.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputCredentialsSaved

    public InputCredentialsSaved()
    Applies if a user chooses some previously saved payment credentials. To use their previously saved credentials, the user must have a valid temporary password.

  - ### InputCredentialsSaved

    public InputCredentialsSaved(String savedCredentialsId)
    Applies if a user chooses some previously saved payment credentials. To use their previously saved credentials, the user must have a valid temporary password.
    Parameters:
      `savedCredentialsId` - Identifier of the saved credentials.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputCredentials`
    Returns:
      this.CONSTRUCTOR